ImportError: libcublas.so.10.0: cannot open shared object file: No such file or directory

I was using this guide to install tensorflow onto my Jetson Nano: https://docs.nvidia.com/deeplearning/frameworks/install-tf-jetson-platform/index.html. I am using Jetpack 4.4 and every time I try to verify my installation I get:

Traceback (most recent call last):
File “/home/taber/.virtualenvs/deep_learning/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow.py”, line 58, in
from tensorflow.python.pywrap_tensorflow_internal import *
File “/home/taber/.virtualenvs/deep_learning/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow_internal.py”, line 28, in
_pywrap_tensorflow_internal = swig_import_helper()
File “/home/taber/.virtualenvs/deep_learning/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow_internal.py”, line 24, in swig_import_helper
_mod = imp.load_module(’_pywrap_tensorflow_internal’, fp, pathname, description)
File “/usr/lib/python3.6/imp.py”, line 243, in load_module
return load_dynamic(name, filename, file)
File “/usr/lib/python3.6/imp.py”, line 343, in load_dynamic
return _load(spec)
ImportError: libcublas.so.10.0: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “”, line 1, in
File “/home/taber/.virtualenvs/deep_learning/lib/python3.6/site-packages/tensorflow/init.py”, line 24, in
from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import
File “/home/taber/.virtualenvs/deep_learning/lib/python3.6/site-packages/tensorflow/python/init.py”, line 49, in
from tensorflow.python import pywrap_tensorflow
File “/home/taber/.virtualenvs/deep_learning/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow.py”, line 74, in
raise ImportError(msg)
ImportError: Traceback (most recent call last):
File “/home/taber/.virtualenvs/deep_learning/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow.py”, line 58, in
from tensorflow.python.pywrap_tensorflow_internal import *
File “/home/taber/.virtualenvs/deep_learning/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow_internal.py”, line 28, in
_pywrap_tensorflow_internal = swig_import_helper()
File “/home/taber/.virtualenvs/deep_learning/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow_internal.py”, line 24, in swig_import_helper
_mod = imp.load_module(’_pywrap_tensorflow_internal’, fp, pathname, description)
File “/usr/lib/python3.6/imp.py”, line 243, in load_module
return load_dynamic(name, filename, file)
File “/usr/lib/python3.6/imp.py”, line 343, in load_dynamic
return _load(spec)
ImportError: libcublas.so.10.0: cannot open shared object file: No such file or directory

Failed to load the native TensorFlow runtime.

I have tried: export LD_LIBRARY_PATH=/usr/local/cuda/lib64 but I still get that error.

Did I install tensorflow incorrectly? What should I do here?

Jetpack 4.4 uses cuda 10.2.

So would I update cuda or tensorflow?

You need to install the tensor flow version for 4.4

$ sudo pip3 install --pre --extra-index-url https://developer.download.nvidia.com/compute/redist/jp/v44 tensorflow

This was the command I used to install tensorflow. It looks like it’s for version 4.4

Hi,

Based on the command above, the installer should fetch tensorflow-2.2.0+nv20.7-cp36-cp36m-linux_aarch64.whl package, which do build for JetPack4.4.
Would you mind to check which TensorFlow package installed on your environment for us first?

>>> import tensorflow as tf
>>> tf.__version__

Thanks.

Hi,

I cannot run an import tensorflow statement I will get that import error. I ran a pip list and here is the versions of tensorflow it gave me:

tensorboard 1.13.1
tensorflow-estimator 1.13.0
tensorflow-gpu 1.13.1+nv19.3

Should I uninstall them and try again? Maybe it found a previous version of tensorflow I had been trying to download.

That’s what it was, I had installed a previous version of tensorflow, so when I made a new python env and ran the command above to install tensorflow it worked correctly.